List your numbers
GET
https://server.heyrik.com/api/v1/phone-numbersHeaders
AuthorizationstringRequiredUse Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.
Response
Explore the example values. This is not a complete response schema.
dataarrayExplore 1 example item
[0]objectExplore 9 properties
idstringExample "sip_45723ca5"
namestringExample "+918071578563"
phone_numberstringExample "+918071578563"
providerstringExample "managed"
managedbooleanExample true
agency_idstringExample "agc_9f2a1c30"
directionstringExample "both"
activebooleanExample true
renews_atstringExample "2026-08-20T10:25:30.672Z"
GET/phone-numbers
cURL
curl https://server.heyrik.com/api/v1/phone-numbers \
-H "Authorization: Bearer $HEYRIK_API_KEY"Response example
JSON
{
"data": [
{
"id": "sip_45723ca5",
"name": "+918071578563",
"phone_number": "+918071578563",
"provider": "managed",
"managed": true,
"agency_id": "agc_9f2a1c30",
"direction": "both",
"active": true,
"renews_at": "2026-08-20T10:25:30.672Z"
}
]
}Illustrative examples · No live request is sent
